﻿@model IEnumerable<SYM.DataAccessLayer.user_wishlist>

<table class="table table-striped table-hover table-bordered" id="dynamic_editable_2">
    <thead>
        <tr>
            <th> @SYM.Localization.Resources.Views.Profile.Adventure.Route </th>
            <th> @SYM.Localization.Resources.Views.Profile.Adventure.Region</th>
            <th> @SYM.Localization.Resources.Views.Profile.Adventure.Ascent</th>
            <th> @SYM.Localization.Resources.Views.Profile.Adventure.Done</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr id="@(item.mountain_id)-@(item.route_id)-@(item.accomodation_id)">
                <td>
                    <strong>
                        @if (item.route.mountain != null)
                        {
                            @Html.DisplayFor(modelItem => item.route.mountain.mntn_name)
                        }
                        else if (item.route.valley_id != null)
                        {
                            @Html.DisplayFor(modelItem => item.route.valley.valley_name)
                        }
                        else if (item.route.mntnGroup_id != null)
                        {
                            @Html.DisplayFor(modelItem => item.route.mntn_mountaingroup.mntnGroup_name)
                        }
                    </strong>
                    -
                    <small>
                        <a href='/Route/@item.route.id-@Uri.EscapeDataString(item.route.route_name.Replace(" ","").Replace("-","_").Replace("&",""))'>
                            @Html.DisplayFor(modelItem => item.route.route_name)
                        </a> <b>@item.route.difficulty_grade</b>
                    </small>
                    
                </td>
                <td>
                    @{
                        string url = "/Content/themes/m1/assets/global/img/flags/" + item.route.geo_country.country_code.ToLower() + ".png";
                    }
                    @item.route.geo_region.region_name <img alt="@item.route.geo_country.country_code" src="@url">
                </td>
                <td class="center">
                    @if (item.wl_done == true)
                    {
                        @String.Format("{0:dd/MM/yyyy}", item.wl_dateIns)
                    }
                </td>
                <td class="text-center">
                    @if (item.wl_done == true)
                    {
                    <i class="fa fa-check-square-o"></i>
                    }
                    else
                    {
                    <button type="button" class="btn default btn-xs btn-outline"> Da scalare</button>
                    }
                </td>
                <td class="text-center">
                    <a href="/it/Profile/_EditAdventure/@item.id" data-target="#myModal" class="editAdventure">
                        <i class="fa fa-pencil"></i>
                    </a>
                    <a class="delete" href="javascript:;"><i class="fa fa-trash-o"></i></a>
                </td>
            </tr>
                        }
    </tbody>
</table>
